@mixin h1 {
  font-size: 36px;
  font-weight: 700;
}

@mixin h5 {
  font: {
    size: 16px;
    weight: 600;
  }
}

@mixin a_mobile {
  font: {
    size: 14px;
    weight: normal;
  }
  line-height: 19px;
}

/* Desktop big text */
@mixin d_big_text {
  font-size: 16px;
  line-height: 26px;
  font-weight: 400;
  color: $color-text-main;
}

@mixin d_list_text {
  font-size: 14px;
  line-height: 26px;
}

@mixin d_extra_text {
  font-size: 20px;
  line-height: 30px;
  font-weight: 400;
  color: $color-text-main;
}

/* normal text */
@mixin normal_text {
  font-size: 14px;
  line-height: 19px;
  font-weight: normal;
}

/* middle text */
@mixin middle_text {
  font-size: 12px;
  line-height: 16px;
}

@mixin middle_title {
  font-size: 18px;
  line-height: 25px;
  font-weight: 600;
  color: $color-text-main;
}

@mixin h2 {
  font-style: normal;
  font-weight: bold;
  font-size: 36px;
  line-height: 49px;
  color: $color-text-main;
}

@mixin medium_description {
  @include d_extra_text;
  font-weight: 600;
  @include tablet {
    font-size: 16px;
    line-height: 22px;
  }
}

/* === Mobile === */
@mixin m-h1 {
  font-size: 24px;
  line-height: 30px;
}

@mixin m_big_text {
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: $color-text-main;
}

@mixin tablet_title_text {
  font-style: normal;
  font-weight: 500;
  font-size: 24px;
  line-height: 30px;
}

/* === FAQ block === */
@mixin faq_title {
  font-style: normal;
  font-weight: bold;
  font-size: 20px;
  color: $color-text-main;
}

@mixin mobile_info {
  font-weight: normal;
  font-size: 10px;
  line-height: 14px;
  color: $color-text-main;
}

@mixin desktop_info {
  font-weight: normal;
  font-size: 12px;
  line-height: 16px;
  color: $color-text-main;
}

@mixin mobile_info_light {
  font-weight: bold;
  font-size: 8px;
  line-height: 11px;
  color: $color-light-grey;
}

@mixin desktop_info_light {
  font-weight: bold;
  font-size: 10px;
  line-height: 14px;
  color: $color-light-grey;
}

@mixin big_title {
  font-style: normal;
  font-weight: 700;
  font-size: 36px;
  line-height: 49px;
  color: $color-text-main;
  @include tablet {
    font-weight: 500;
    font-size: 24px;
    line-height: 30px;
    color: $color-white;
  }
}
